
From: Tom Rini <trini@kernel.crashing.org>

Replace cli() function call with local_irq_disable() in restart code on APUS.

Signed-off-by: James Nelson <james4765@gmail.com>
Signed-off-by: Tom Rini <trini@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/platforms/apus_setup.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc/platforms/apus_setup.c~ppc32-remove-cli-sti-in-arch-ppc-platforms-apus_setupc arch/ppc/platforms/apus_setup.c
--- 25/arch/ppc/platforms/apus_setup.c~ppc32-remove-cli-sti-in-arch-ppc-platforms-apus_setupc	Wed Jan 19 15:40:57 2005
+++ 25-akpm/arch/ppc/platforms/apus_setup.c	Wed Jan 19 15:40:57 2005
@@ -480,7 +480,7 @@ void cache_clear(__u32 addr, int length)
 void
 apus_restart(char *cmd)
 {
-	cli();
+	local_irq_disable();
 
 	APUS_WRITE(APUS_REG_LOCK,
 		   REGLOCK_BLACKMAGICK1|REGLOCK_BLACKMAGICK2);
_
